Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1488498 - Review Request: golang-github-templexxx-reedsolomon - Reed-Solomon Erasure Code engine in Go
Summary: Review Request: golang-github-templexxx-reedsolomon - Reed-Solomon Erasure Co...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-05 14:20 UTC by Fabio Valentini
Modified: 2017-09-30 06:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-15 22:22:57 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabio Valentini 2017-09-05 14:20:56 UTC
Spec URL: https://decathorpe.fedorapeople.org/packages/golang-github-templexxx-reedsolomon.spec

SRPM URL: https://decathorpe.fedorapeople.org/packages/golang-github-templexxx-reedsolomon-0.1.0-1.fc26.src.rpm

Description: Reed-Solomon Erasure Code engine in Go

Fedora Account System Username: decathorpe

koji scratch build for rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=21660659

Comment 1 Robert-André Mauchin 🐧 2017-09-06 01:32:42 UTC
Hello,

For some reasons, all of the source files have executable permissions, which throw a bunch of errors in rmplint. You should remove them in %prep. And maybe report the problem upstream, this isn't normal.

%prep
%setup -q -n %{repo}-%{commit}
chmod -R -x+X .



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 13 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/golang-github-templexxx-reedsolomon/review-
     golang-github-templexxx-reedsolomon/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gocode/src,
     /usr/share/gocode, /usr/share/gocode/src/github.com
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in golang-
     github-templexxx-reedsolomon-devel , golang-github-templexxx-
     reedsolomon-unit-test-devel
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-templexxx-reedsolomon-devel-0.1.0-1.fc28.noarch.rpm
          golang-github-templexxx-reedsolomon-unit-test-devel-0.1.0-1.fc28.x86_64.rpm
          golang-github-templexxx-reedsolomon-0.1.0-1.fc28.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 2 Fabio Valentini 2017-09-06 10:13:03 UTC
Thanks for pointing out the executable bit mess. I somehow missed that. I've removed all executable permissions and reported the issue upstream, as noted in the .spec file.

Spec URL: https://decathorpe.fedorapeople.org/packages/golang-github-templexxx-reedsolomon.spec

SRPM URL: https://decathorpe.fedorapeople.org/packages/golang-github-templexxx-reedsolomon-0.1.0-2.fc26.src.rpm

Comment 3 Robert-André Mauchin 🐧 2017-09-06 11:45:46 UTC
Excellent, package accepted.

Comment 4 Fabio Valentini 2017-09-06 12:15:59 UTC
Thanks for the review!

Comment 5 Gwyn Ciesla 2017-09-06 14:06:27 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-templexxx-reedsolomon

Comment 6 Fedora Update System 2017-09-07 09:35:58 UTC
golang-github-templexxx-reedsolomon-0.1.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f8aa546b14

Comment 7 Fedora Update System 2017-09-07 09:38:39 UTC
golang-github-templexxx-reedsolomon-0.1.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2571d5d798

Comment 8 Fedora Update System 2017-09-07 09:40:46 UTC
golang-github-templexxx-reedsolomon-0.1.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0dcf2cc006

Comment 9 Fedora Update System 2017-09-07 14:34:01 UTC
golang-github-templexxx-reedsolomon-0.1.0-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f8aa546b14

Comment 10 Fedora Update System 2017-09-08 00:24:42 UTC
golang-github-templexxx-reedsolomon-0.1.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2571d5d798

Comment 11 Fedora Update System 2017-09-08 01:21:58 UTC
golang-github-templexxx-reedsolomon-0.1.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0dcf2cc006

Comment 12 Fedora Update System 2017-09-15 22:22:57 UTC
golang-github-templexxx-reedsolomon-0.1.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-09-16 03:24:18 UTC
golang-github-templexxx-reedsolomon-0.1.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-09-30 06:20:26 UTC
golang-github-templexxx-reedsolomon-0.1.0-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.